---
title: TypedArray.name
slug: Web/JavaScript/Reference/Global_Objects/TypedArray/name
tags:
  - JavaScript
  - Property
  - TypedArray
  - TypedArrays
---
<div>{{JSRef}}</div>

<p>The <code><strong><em>TypedArray</em>.name</strong></code> property represents a string value of the typed array constructor name.</p>

<div>{{EmbedInteractiveExample("pages/js/typedarray-name.html","shorter")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<div>{{js_property_attributes(0,0,0)}}</div>

<h2 id="Description">Description</h2>

<p><code>TypedArray</code> objects differ from each other in the number of bytes per element and in the way the bytes are interpreted. The <code>name</code> property describes of what data type the array consists. The first part can be <code>Int</code> for "integer" or <code>Uint</code> for an "unsigned integer", also <code>Float</code> for "floating point" is used. The second part is a number describing the bit-size of the array. Finally, the object type is <code>Array</code>, with <code>ClampedArray</code> as a special case. Please see {{jsxref("Uint8ClampedArray")}} for more details.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_name">Using name</h3>

<pre class="brush:js">Int8Array.name;         // "Int8Array"
Uint8Array.name;        // "Uint8Array"
Uint8ClampedArray.name; // "Uint8ClampedArray"
Int16Array.name;        // "Int16Array"
Uint16Array.name;       // "Uint16Array"
Int32Array.name;        // "Int32Array"
Uint32Array.name;       // "Uint32Array"
Float32Array.name;      // "Float32Array"
Float64Array.name;      // "Float64Array"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-properties-of-the-typedarray-constructors', 'TypedArray.name')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.TypedArray.name")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Typed_arrays">JavaScript typed arrays</a></li>
 <li>{{jsxref("TypedArray")}}</li>
</ul>
